EXIQGREP(8)

NAME
exiqgrep - Search in the exim queue

SYNOPSIS
exiqgrep [-h] [-C file] [-f regexp] [-r regexp] [-s regexp] [-y seconds] [-o seconds] [-z] [-x] [-G queuename] [-c] [-l] [-i] [-b] [-R] [-a]

DESCRIPTION
The exiqgrep utility is a Perl script which offers possibilities to grep in the exim queue output. Unlike exiqsumm, it invokes exim -bpu itself and does not need to be invoked in a pipe.

OPTIONS

-h  Print help

-C <config>
    Specify which exim.conf to use

-E <path>
    Specify a path for the exim binary, overriding the built-in one.

-f <regexp>
    Match sender address (field is “< >” wrapped)

-r <regexp>
    Match recipient address

-s <regexp>
    Match against the size field from long output

-y <seconds>
    Message younger than

-o <seconds>
    Message older than

-z  Frozen messages only (exclude non-frozen)

-x  Non-frozen messages only (exclude frozen)

-G <queuename>
    Match in given queue only

-c  Display match count

-l  Long Format [Default]

-i  Message IDs only

-b  Brief Format

-R  Reverse order

-a  All recipients (including delivered)

At least one selection option, or either the -c or -h option, must be given.

BUGS
This manual page needs a major re-work. If somebody knows better groff than us and has more experience in writing manual pages, any patches would be greatly appreciated.

SEE ALSO
exim(8), /usr/share/doc/exim4-base/

AUTHOR
This manual page was stitched together from the source code by Marc Haber <mh+debian-packages@zugschlus.de>, using the exiqsumm man page by Andreas Metzler <ametzler at downhill.at.eu.org>, for the Debian GNU/Linux system (but may be used by others).